//
// Created by Krad on 2021/12/8.
//

#ifndef GUI_ALERTDIALOG_H
#define GUI_ALERTDIALOG_H
class QLabel;
#include "GUIFormBaseDialog.h"
class AlertDialog :public GUIFormBaseDialog{
    Q_OBJECT
public:
    explicit AlertDialog(QWidget *parent = nullptr, Qt::WindowFlags f = Qt::WindowFlags());
    ~AlertDialog();
    void setAlertMessage(const QString& msg);
    void setTitle(const QString& msg);
protected:
    bool updateReferenceData() override{return true;}

private:
    QLabel* lbl_msg;
    QLabel* lbl_title;
};


#endif //GUI_ALERTDIALOG_H
